/* Generate the complete character set using the current font */
options results
'status FontPath'
FullFontName = result
pos = LASTPOS('/', FullFontName)
IF ( pos ~= 0 ) 
THEN	/* If we found it, then DELSTR */
	FontName = RIGHT(FullFontName, LENGTH(FullFontName) - pos)
ELSE 	DO
	pos = LASTPOS(':', FullFontName)
	IF ( pos ~= 0 ) 
	THEN	/* If we found it, then DELSTR */
		FontName = Right(FullFontName, LENGTH(FullFontName) - pos)
	ELSE 	EXIT 20
	END
'FontSize 16'
'SectionSetup Columns 4 Top .5 Bottom .5 Inside .75 Outside .25'
'Font SoftSans_Bold'  /* We'll always display the font name in SoftSans_Bold */
'Type ' || FontName
'NewParagraph'

DO x = 16 to 24 
	'Font SoftSans' 
	'FontSize 12'
	'Type ' || x || ' ^' || d2c(x + 64) || d2c(9)
	'Font ' || FullFontName
	'FontSize 24' 
	'Type ' || d2c(x)
	'NewParagraph'
END
DO x = 33 to 126 
	'Font SoftSans' 
	'FontSize 12'
	'Type ' || x || '  ' || d2c(x) || d2c(9)
	'Font ' || FullFontName
	'FontSize 24' 
	'Type ' || d2c(x)
	'NewParagraph'
END
DO x = 130 to 154 
	'Font SoftSans' 
	'FontSize 12'
	'Type ' || x || '  ' || d2c(x) || d2c(9)
	'Font ' || FullFontName
	'FontSize 24' 
	'Type ' || d2c(x)
	'NewParagraph'
END
DO x = 161 to 231 
	'Font SoftSans' 
	'FontSize 12'
	'Type ' || x || '  ' || d2c(x) || d2c(9)
	'Font ' || FullFontName
	'FontSize 24' 
	'Type ' || d2c(x)
	'NewParagraph'
END
DO x = 242 to 248 
	'Font SoftSans' 
	'FontSize 12'
	'Type ' || x || '  ' || d2c(x) || d2c(9)
	'Font ' || FullFontName
	'FontSize 24' 
	'Type ' || d2c(x)
	'NewParagraph'
END
